Name:           libvisual-plugins
Version:        0.4.0
Release:        5%{?dist}
Summary:        Plugins for use with libvisual

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://libvisual.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/libvisual/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libvisual-devel >= 0.4.0
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  gtk2-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  esound-devel
BuildRequires:  pango-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  bison
BuildRequires:  rpmdevtools

%description
Libvisual is an abstraction library that comes between applications and audio
visualisation plugins. This package provides visualizer plugins for use with
libvisual aware applications.

%prep
%setup -q


%build
%ifarch i386
export CFLAGS="${RPM_OPT_FLAGS} -mmmx"
%endif

%configure \
--enable-extra-optimization \
--disable-infinite \
--disable-flower \
--disable-dancingparticles \
--disable-gltest \
--disable-madspin \
--disable-nebulus 
# infinite disabled due to gcc 4 issue
# rest disabled because they are broken
# and cause totem to fail in a bad way

make %{?_smp_mflags}

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

find %buildroot%_libdir -type f -name "*.la" -exec rm -f {} ';'

# there are no transform plugins. The library refers to it
# though as a place to look for plugins. Creating the directory
# even though empty prevents some meaningless error messages.
[ ! -d %buildroot%_libdir/libvisual/transform ] && install -d -m755 %buildroot%_libdir/libvisual/transform

%find_lang libvisual-plugins-0.4

%clean
rm -rf %buildroot


%files -f libvisual-plugins-0.4.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/libvisual-0.4
%_datadir/%{name}-0.4/

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-5
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.0-4
- fix license tag

* Sun Mar 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.0-3
- fix unowned directory (bug 233875)

* Mon Feb 19 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.0-2
- rebuild

* Sat Sep 09 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-1
- updated to new upstream version

* Fri Feb 17 2006 Michael A. Peters <mpeters@mac.com> - 0.2.0-3
- Rebuild in devel branch

* Sun Nov 20 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-2
- configure patch (patch1) to fix detection of xlibraries/xincludes
- removed sed line fix of rpath in %%prep - no longer needed with
- the configure patch

* Sun Nov 20 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.9
- fixed it so it builds (specified x-libraries)
- building OpenGL plugin

* Sat Nov 19 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.3
- fix BuildRequires for mock, specify x-includedir to configure

* Fri Nov 18 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.2
- changed the xorg-x11-devel BuildRequires to modular xorg-x11
- for fc5
- put / at end of directories owned in %%files for readability.

* Sun Jun 19 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1.1
- remove explicit rpath from LIBTOOL options

* Wed Jun 15 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1
- initial checkin to Extras CVS
